<?php
declare(strict_types=1);

namespace App\Test\TestCase\Model\Table;

use App\Model\Table\AllergensProductsTable;
use Cake\TestSuite\TestCase;

/**
 * App\Model\Table\AllergensProductsTable Test Case
 */
class AllergensProductsTableTest extends TestCase
{
    /**
     * Test subject
     *
     * @var \App\Model\Table\AllergensProductsTable
     */
    protected $AllergensProducts;

    /**
     * Fixtures
     *
     * @var list<string>
     */
    protected array $fixtures = [
        'app.AllergensProducts',
        'app.Allergens',
        'app.Products',
    ];

    /**
     * setUp method
     *
     * @return void
     */
    protected function setUp(): void
    {
        parent::setUp();
        $config = $this->getTableLocator()->exists('AllergensProducts') ? [] : ['className' => AllergensProductsTable::class];
        $this->AllergensProducts = $this->getTableLocator()->get('AllergensProducts', $config);
    }

    /**
     * tearDown method
     *
     * @return void
     */
    protected function tearDown(): void
    {
        unset($this->AllergensProducts);

        parent::tearDown();
    }

    /**
     * Test validationDefault method
     *
     * @return void
     * @link \App\Model\Table\AllergensProductsTable::validationDefault()
     */
    public function testValidationDefault(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }

    /**
     * Test buildRules method
     *
     * @return void
     * @link \App\Model\Table\AllergensProductsTable::buildRules()
     */
    public function testBuildRules(): void
    {
        $this->markTestIncomplete('Not implemented yet.');
    }
}
